void MeteoTempsReel() {
  WiFiClient client;
  HTTPClient http;  //Déclarer un objet de classe HTTPClient
  //Appelle les données météorologiques actuelles.
  http.begin(client, "http://api.openweathermap.org/data/2.5/weather?q=" + ville + "," + Payscode + "&lang=fr&APPID=" + openWeatherMapApiKey + "&units=metric");  // !!
  httpCode = http.GET();                                                                                                                                          //Envoyer la demande
  if (httpCode > 0)                                                                                                                                               // Vérifie le code de retour
  {
    String payload = http.getString();  //Obtenir la réponse à la demande
    if (debug == 1) {
      Serial.println("---  Données recu de openweathermap   ---");
      Serial.println(payload);
      Serial.println("-----------------------------------------");
      Serial.println("");
    }
    // Use https://arduinojson.org/v6/assistant to compute the capacity.
    const size_t capacity = JSON_OBJECT_SIZE(544) + JSON_ARRAY_SIZE(239) + 60;
    DynamicJsonDocument infosOP(capacity);
    // Parse JSON object
    DeserializationError error = deserializeJson(infosOP, payload);

    if (error) {
      Serial.print(F("deserializeJson() failed: "));
      Serial.println(error.f_str());
      client.stop();
      return;
    }
    //https://openweathermap.org/current
    const char* OPVille = infosOP["name"];       // Ville
    float OPCoordLon = infosOP["coord"]["lon"];  //Coordonnées géographiques (longitude).
    float OPCoordLat = infosOP["coord"]["lat"];  //Coordonnées géographiques (latitude).
    JsonObject weather = infosOP["weather"][0];
    int OPIdMeteo = weather["id"];                         // Identifiant de la condition météo
    const char* OPCondMeteo = weather["main"];             //Groupe de paramètres météorologiques (pluie, neige, extrême, etc.).
    const char* OPDescrMeteo = weather["description"];     //Description ciel.
    const char* OPIdentIconeMeteo = weather["icon"];       //Identifiant de l'icône météo.
    float OPTempExt = infosOP["main"]["temp"];             //Température °C.
    float OPTempRessenti = infosOP["main"]["feels_like"];  //Température Ressenti °C.
    float OPTempExtMini = infosOP["main"]["temp_min"];     //Température Mini °C.
    float OPTempExtMax = infosOP["main"]["temp_max"];      //Température Max °C.
    float OPPression = infosOP["main"]["pressure"];        //Pression atmosphérique au niveau de la mer, hPa.
    int OPHumExt = infosOP["main"]["humidity"];            // Humidité, %.
    int OPvisibility = infosOP["visibility"];              //Visibilité, mètre. La valeur maximale de la visibilité est de 10 km
    float OPVitesseVent = infosOP["wind"]["speed"];        //Vitesse du vent, Unité par défaut : mètre/sec.
    int OPDirectionVent = infosOP["wind"]["deg"];          //Direction du vent, degrés (météorologiques).
    int OPRafaleVent = infosOP["wind"]["gust"];            //Rafale de vent. Unité par défaut : mètre/sec.
    int OPNebulosite = infosOP["clouds"]["all"];           //Nébulosité, %.
    unsigned long OPHeuredonnees = infosOP["dt"];          //Heure de calcul des données, unix, UTC.
    unsigned long OPSunrise = infosOP["sys"]["sunrise"];   //Heure du lever du soleil, unix, UTC.
    unsigned long OPSunset = infosOP["sys"]["sunset"];     //Heure de coucher du soleil, unix, UTC.
    const char* OPPays = infosOP["sys"]["country"];        // Indicatif du pays (GB, FR, etc.).
    if (debug == 1) {
      Serial.println("--- Details de l'ensemble des donnees ---");
      Serial.printf("Ville = %s\r\n", OPVille);
      Serial.printf("Coordonnees geographiques (longitude) :  %.4f\r\n", OPCoordLon);
      Serial.printf("Coordonnees geographiques (latitude) :  %.4f\r\n", OPCoordLat);
      Serial.printf("Identifiant de la condition meteo :  %d\r\n", OPIdMeteo);
      Serial.printf("Conditions météorologiques :  %s\r\n", OPCondMeteo);
      Serial.printf("Description ciel :  %s\r\n", OPDescrMeteo);
      Serial.printf("Identifiant de l'icône météo :  %s\r\n", OPIdentIconeMeteo);
      Serial.printf("Température :  %.2f °C\r\n", OPTempExt);
      Serial.printf("Température Ressenti :  %.2f °C\r\n", OPTempRessenti);
      Serial.printf("Température Mini :  %.2f °C\r\n", OPTempExtMini);
      Serial.printf("Température Max :  %.2f °C\r\n", OPTempExtMax);
      Serial.printf("Pression atmosphérique au niveau de la mer, hPa :  %.2f hPa\r\n", OPPression);
      Serial.printf("Humidité :  %d %%\r\n", OPHumExt);
      Serial.printf("Visibilité :  %d m\r\n", OPvisibility);
      Serial.printf("Vitesse du vent :  %.2f mètre/sec\r\n", OPVitesseVent);
      Serial.printf("Direction du vent :  %d °\r\n", OPDirectionVent);
      Serial.printf("Rafale de vent :  %d mètre/sec\r\n", OPRafaleVent);
      Serial.printf("Nébulosité :  %d %%\r\n", OPNebulosite);
      Serial.printf("Heure de calcul des données :  %02d:%02d:%02d\n", hour(OPHeuredonnees), minute(OPHeuredonnees), second(OPHeuredonnees));
      Serial.printf("Heure du lever du soleil :  %02d:%02d:%02d\n", hour(OPSunrise), minute(OPSunrise), second(OPSunrise));
      Serial.printf("Heure de coucher du soleil :  %02d:%02d:%02d\n", hour(OPSunset), minute(OPSunset), second(OPSunset));
      Serial.printf("Pays = %s\r\n", OPPays);
      Serial.println("------------------------------------------");
      Serial.println("");
      Serial.println("");
    }
    
     else {
      //Envoie Ville, Pays Nextion
      sprintf(buffer, "%s, %s\r\n", ville, Payscode);
      page0t0.setText(buffer);

      //Envoie Identifiant de l'icône météo Nextion
      String IconeMeteo[] = { "000", "01d", "01n", "02d", "02n", "03d", "03n", "04d", "04n", "09d", "09n", "10d", "10n", "11d", "11n", "13d", "13n", "50d", "50n" };
      int IDIconeMeteo[] = { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 };
      uint32_t IDIcone = 0;
      while (IconeMeteo[IDIcone] != OPIdentIconeMeteo) {
        IDIcone++;
        if (IDIcone > 18) {
          IDIcone = 0;
          break;
        }
      }
      page0p1.setPic(IDIconeMeteo[IDIcone]);

      //Envoie Temperature Nextion
      sprintf(buffer, "%.1f%c\r\n", OPTempExt, 0xB0);
      page0t1.setText(buffer);

      //Envoie Temperature Ressenti Nextion
      sprintf(buffer, "%.1f%c\r\n", OPTempRessenti, 0xB0);
      page0t3.setText(buffer);

      //Envoie condition météo celon ID
      int iDMeteo = 0;
      while (IdMeteo[iDMeteo] != OPIdMeteo) {
        iDMeteo++;
        if (iDMeteo > 999) {
          break;
        }
      }
      sprintf(buffer, "%s, %s \r\n", OPDescrMeteoPrinc[iDMeteo], OPDescrMeteoSec[iDMeteo]);
      page0t4.setText(buffer);

      //Envoie Direction du vent Nextion
      if (OPDirectionVent <= 270) {
        OPDirectionVent = OPDirectionVent + 90;
      } else {
        OPDirectionVent = OPDirectionVent - 270;
      }
      page0z0.setValue(OPDirectionVent);

      //Envoie Sunrise Nextion
      sprintf(buffer, "%d:%02d \r\n", hour(OPSunrise), minute(OPSunrise));
      page0t8.setText(buffer);

      //Envoie Humidité Nextion.
      sprintf(buffer, "%d \r\n", OPHumExt);
      page0t9.setText(buffer);

      //Envoie Pression atmosphérique au niveau de la mer, hPa Nextion.
      sprintf(buffer, "%.0f \r\n", OPPression);
      page0t11.setText(buffer);

      //Envoie Sunset Nextion
      sprintf(buffer, "%d:%02d \r\n", hour(OPSunset), minute(OPSunset));
      page0t14.setText(buffer);

      //Envoie Nebulosite Nextion.
      sprintf(buffer, "%d \r\n", OPNebulosite);
      page0t16.setText(buffer);

      //Heure Openweather MAJ Nextion
      sprintf(buffer, "%d:%02d:%02d\n", hour(OPHeuredonnees), minute(OPHeuredonnees), second(OPHeuredonnees));
      page0t19.setText(buffer);

      //Envoie Vitesse du vent Nextion.
      OPVitesseVent = OPVitesseVent * 3.6;  //Vitesse du vent km/h.
      sprintf(buffer, "%.0f \r\n", OPVitesseVent);
      page0t21.setText(buffer);

      //Envoie Rafalle ce vent Nextion.
      OPRafaleVent = OPRafaleVent * 3.6;  //Vitesse du vent km/h.
      sprintf(buffer, "%.0f \r\n", OPRafaleVent);
      page0t24.setText(buffer);
    }
  }
}